<?php
/**
 * The sidebar containing the main widget area
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package charitable_funds
 */
?>

<aside id="secondary" class="widget-area wow zoomIn delay-1000" data-wow-duration="2s">
	<?php dynamic_sidebar( 'sidebar-1' ); ?>
</aside><!-- #secondary -->

<?php 
  if ( ! is_active_sidebar( 'sidebar-1' )) { ?>
	<aside id="secondary" class="widget-area wow zoomIn delay-1000" data-wow-duration="2s">
		<section id="Search" class="widget widget_block widget_archive" >
		    <h2 class="widget-title"><?php esc_html_e('Search', 'charitable-funds'); ?></h2>
		    <?php get_search_form(); ?>
		</section>
		<section id="archives" class="widget widget_block widget_archive" >
		    <h2 class="widget-title"><?php esc_html_e('Archives', 'charitable-funds'); ?></h2>
		    <ul>
		        <?php
		        wp_get_archives(array(
		            'type'            => 'monthly',
		            'show_post_count' => true,
		        ));
		        ?>
		    </ul>
		</section>
		<section id="categories" class="widget widget_categories" role="complementary">
		    <h2 class="widget-title"><?php esc_html_e('Categories', 'charitable-funds'); ?></h2>
		    <ul>
		        <?php
		        wp_list_categories(array(
		            'orderby'    => 'name',
		            'title_li'   => '',
		            'show_count' => true,
		        ));
		        ?>
		    </ul>
		</section>
		<section id="tags" class="widget widget_tag_cloud" role="complementary">
		    <h2 class="widget-title"><?php esc_html_e('Tags', 'charitable-funds'); ?></h2>
		    <?php
				$charitable_funds_tags = get_tags();
				if ($charitable_funds_tags) {
				    echo '<div class="tag-cloud">';
				    foreach ($charitable_funds_tags as $charitable_funds_tag) {
				        $charitable_funds_tag_link = get_tag_link($charitable_funds_tag->term_id);
				        echo '<a href="' . esc_url($charitable_funds_tag_link) . '" style="font-size:' . esc_attr($charitable_funds_tag->font_size) . 'px;" class="tag-link">' . esc_html($charitable_funds_tag->name) . '</a>';
				    }
				    echo '</div>';
				} else {
					echo '<p>' . esc_html__( 'No tags found.', 'charitable-funds' ) . '</p>';
				}
			?>
		</section>
		<section id="recent-posts" class="widget" role="complementary">
		    <h2 class="widget-title"><?php esc_html_e('Recent Posts', 'charitable-funds'); ?></h2>
		    <ul class="recent-posts-list">
		        <?php
		        $charitable_funds_recent_posts = get_posts(array(
		            'numberposts' => 5, // Adjust the number of posts to display
		            'post_status' => 'publish',
		        ));

		        foreach ($charitable_funds_recent_posts as $charitable_funds_post) :
		            setup_postdata($charitable_funds_post);
		            ?>
		            <li>
		                <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
		            </li>
		            <?php
		        endforeach;
		        wp_reset_postdata();
		        ?>
		    </ul>
		</section>

	</aside><!-- #secondary -->
<?php } ?>